# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
rust-version = "1.87"
name = "object-rainbow-append-tree"
version = "0.0.0-a.11"
authors = ["Alisa Feistel <alisafeistel@gmail.com>"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "append-only tree list for object-rainbow"
readme = false
license = "MIT OR Apache-2.0"
repository = "https://github.com/parrrate/object-rainbow"

[lib]
name = "object_rainbow_append_tree"
path = "src/lib.rs"

[dependencies.object-rainbow]
version = "0.0.0-a.58"

[dependencies.object-rainbow-point]
version = "0.0.0-a.11"

[dependencies.thiserror]
version = "2.0.17"

[dependencies.typenum]
version = "1.18.0"
features = ["const-generics"]

[dev-dependencies.macro_rules_attribute]
version = "0.2.2"

[dev-dependencies.smol]
version = "2.0.2"

[dev-dependencies.smol-macros]
version = "0.1.1"
